set status [ SclFunction "EXIT GRAPHICS" {
  frm00108={
    {
      exit_mode="E"
    }
  }
}]

set status [ SclFunction "TOOL MODE TRADITIONAL" {} ]

set status [ SclFunction "RECALL ANY FILE" {
  file="lev1.dtm"
  mode="openInNewLayer"
}]
puts ""
puts "Click in graphics to continue"
puts ""

SclPause

set status [ SclFunction "RECALL ANY FILE" {
  file="stope1.dtm"
  mode="openInNewLayer"
}]
puts ""
puts "Click in graphics to continue"
puts ""

SclPause

set status [ SclFunction "ZOOM ALL" {} ]

set status [ SclFunction "TRISOLATION 3DM/3DM OUTERSECT" {
  frm00636={
    {
      _action="display"
      layer_name="layer_outersect"
      object_no="1"
      add_object_no="2"
    }
  }
  select_triangle=table { winx winy objectx objecty objectz } {
    { "-0.056" "-0.156" "4719.702" "5560.031" "752.551" }
    { "-0.323" "-0.008" "4652.019" "5592.685" "746.310" }
  }
}]

set status [ SclFunction "ZOOM IN" {} ]

set status [ SclFunction "ZOOM IN" {} ]

set status [ SclFunction "FILE SAVE" {
  frmsaveFileAs={
    {
      AutoCAD={
        version="Autocad 18"
      }
      action="display"
      output_file="surpac2dtm:outersected_solid"
      outputExt=".dtm"
      Datamine={
        binary_precision="Single"
      }
      Surpac={
        FileFormat="text"
        ForceValidation="true"
        Purpose=""
        ForceCompatibility="true"
        range=""
      }
      output_type="Surpac DTM Files"
    }
  }
}]
puts ""
puts ""
puts "Macro 08c_solids_outersect.tcl completed"
puts ""
